# ANSLPR Unit Test
add_executable(ANSLPR-UnitTest
    ANSLPR-UnitTest.cpp
)

target_include_directories(ANSLPR-UnitTest PRIVATE
    ${CMAKE_SOURCE_DIR}/modules/ANSLPR
    ${CMAKE_SOURCE_DIR}/modules/ANSLPR/include
    ${CMAKE_SOURCE_DIR}/modules/ANSODEngine
    ${CMAKE_SOURCE_DIR}/core/ANSLibsLoader/include
    ${CMAKE_SOURCE_DIR}/modules/ANSCV
    ${CMAKE_SOURCE_DIR}/MediaClient
    ${CMAKE_SOURCE_DIR}/MediaClient/media
    ${CMAKE_SOURCE_DIR}/MediaClient/rtsp
    ${CMAKE_SOURCE_DIR}/MediaClient/rtp
    ${CMAKE_SOURCE_DIR}/MediaClient/bm
    ${CMAKE_SOURCE_DIR}/MediaClient/http
    ${CMAKE_SOURCE_DIR}/MediaClient/directx
    ${CMAKE_SOURCE_DIR}/MediaClient/rtmp
    ${CMAKE_SOURCE_DIR}/MediaClient/librtmp
    ${CMAKE_SOURCE_DIR}/MediaClient/srt
    ${CMAKE_SOURCE_DIR}/MediaClient/ffmpeg/include
    ${CMAKE_SOURCE_DIR}/MediaClient/openssl/include
    ${CMAKE_SOURCE_DIR}/MediaClient/libsrt/include
    ${ANSLIBS_DIR}/TurboJpeg
    ${CMAKE_SOURCE_DIR}/modules/ANSMOT
    ${CMAKE_SOURCE_DIR}/modules/ANSOCR/ANSPaddleOCR
    ${CMAKE_SOURCE_DIR}/modules/ANSOCR/ANSPaddleOCR/include
    ${CMAKE_SOURCE_DIR}/engines/ONNXEngine
    ${CMAKE_SOURCE_DIR}/engines/OpenVINOEngine/include
    ${CMAKE_SOURCE_DIR}/engines/TensorRTAPI/include
    ${SHARED_INCLUDE_DIR}
)

target_link_libraries(ANSLPR-UnitTest
    PRIVATE ANSLPR
    PRIVATE ANSODEngine
    PRIVATE ANSCV
    PRIVATE ANSLicensingSystem
    PRIVATE ANSLibsLoader
    PRIVATE anslicensing
    PRIVATE ANSMOT
    PRIVATE opencv
    PRIVATE onnxruntime
    PRIVATE openvino
    PRIVATE boost
    PRIVATE CUDA::cudart
)

if(WIN32)
    target_link_libraries(ANSLPR-UnitTest PRIVATE ${WIN_COMMON_LIBS})
endif()

target_compile_definitions(ANSLPR-UnitTest PRIVATE UNICODE _UNICODE)
